API Direct
Endpoints
Bluesky Post Likes

Bluesky Post Likes

GET /v1/bluesky/post/likes

Get the users who liked a Bluesky post, newest first. Returns handle, display name, DID, bio, verification status, profile picture, join date, and the time of the like for each user.

Cost
$0.003 per page
Free tier
50 requests/month

Parameters

url
Bluesky post URL, e.g. https://bsky.app/profile/bsky.app/post/3l6oveex3ii2l (max 500 characters). Provide either url or post_id.
post_id
The post's AT URI as returned in post_id, e.g. at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l (max 200 characters). Provide either url or post_id.
pages
Number of pages to fetch, 1-20 (default: 1). Each page returns up to 50 accounts; you are billed per page returned.

Example Request

curl "https://apidirect.io/v1/bluesky/post/likes?url=https%3A%2F%2Fbsky.app%2Fprofile%2Fbsky.app%2Fpost%2F3l6oveex3ii2l&pages=1"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "likes": [
    {
      "username": "js2k9.bsky.social",
      "full_name": "JS_2K9",
      "user_id": "did:plc:yqsdfrzxn6ocmtu53euptrnp",
      "biography": "Bluesky account of JS_2K9.\n(Made back in July)",
      "is_verified": false,
      "profile_pic_url": "https://cdn.bsky.app/img/avatar/plain/did:plc:yqsdfrzxn6ocmtu53euptrnp/bafkreianv47vz3ryjbwfifrihesvdkusyqiif3a3mbmxwq5jt5vbw5dfiq",
      "date_joined": "2026-07-16 04:26:07",
      "url": "https://bsky.app/profile/js2k9.bsky.social",
      "liked_at": "2026-09-16 04:21:54"
    }
  ],
  "post_id": "at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l",
  "total": 63685,
  "pages": 1,
  "count": 50
}

Your Usage

Free tier this month
Loading...
Recent Activity